Sazabi
APIThreads

Get a thread

Get a thread and its messages.

GET https://api.sazabi.com/v1/threads/{threadId}

GET
/threads/{threadId}

Path Parameters

threadId*string

Thread ID returned by threads.list or threads.create.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "thread": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "sourceIssueId": "c170189f-8ce5-4a9f-b4a6-e5e7ef711e35",    "title": "string",    "status": "regular",    "source": "slack",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "messages": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "role": "user",      "content": [        {          "type": "message",          "message": "string"        }      ],      "source": "slack",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}